#ifndef _CEGODATATYPE_H_INCLUDED_
#define _CEGODATATYPE_H_INCLUDED_
///////////////////////////////////////////////////////////////////////////////
//                                                         
// CegoDataType.h
// --------------
// Cego datatype definition
//                                                         
// Design and Implementation by Bjoern Lemke               
//     
// (C)opyright 2000-2009 Bjoern Lemke
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; see the file COPYING.  If not, write to
// the Free Software Foundation, 59 Temple Place - Suite 330,
// Boston, MA 02111-1307, USA.
//
// INTERFACE MODULE
//
// Class: CegoDataType
// 
// Description: The enumeration represents all supported datatype, which can be managed by the
//              cego database system
//
// Status: CLEAN
//
///////////////////////////////////////////////////////////////////////////////

enum CegoDataType {
  INT_TYPE,
  LONG_TYPE,
  VARCHAR_TYPE,
  BOOL_TYPE,
  DATETIME_TYPE,
  BIGINT_TYPE,
  FLOAT_TYPE,
  DOUBLE_TYPE,
  DECIMAL_TYPE,
  FIXED_TYPE,
  SMALLINT_TYPE,
  TINYINT_TYPE,
  BLOB_TYPE,
  NULL_TYPE
};

#endif




